Page MenuHomeMiraheze

Options for importing a user database?
Closed, DeclinedPublic

Description

Wiki URLnenawiki.org

Do you support Extension:ImportUsers or any other way to import a database of users?

Event Timeline

MikeV created this task.Dec 29 2018, 15:26

@MikeV Well, we can't really import users from a database considering our shared user database. Users can be invited manually by email if you would like.

MikeV added a comment.Dec 29 2018, 17:47

We have hundreds of users. Please explain your part of the email solution. Without any import mechanism, the only way I imagined we could add them is to send our users an email with the link to the create account page where they would have to register. Then, an administrator would have to manually add them to the NDGUsers group after manually verifying that they are really members. That seems like a lot of unnecessary work.

To be clear, I have not verified that I can get a CSV user database from our community collaboration site (Higher Logic). First, I needed to know whether or not Miraheze could import it.

It would be frustrating if we could not find a way (using the magic of computers) to import hundreds of users.

@MikeV Okay, I understand that there are many users so we need to automate this.

@John Any ideas on how we can do this?

@MikeV Okay, it seems like we can do this with https://www.mediawiki.org/wiki/Manual:CreateAndPromote.php and creating a script for the user list. Therefore, if you find it and send it to us, it should be able to be done.

@MikeV do you still want this?

MikeV added a comment.Jan 28 2019, 05:05

Yes!

Our current challenge is to get the user database from the collaboration site host.

Okay. When you do get it, let us know and we will look into how we can create this script.

Void added a comment.Mar 28 2019, 22:25

Any updates on this?

Paladox closed this task as Declined.May 23 2019, 23:19
Paladox claimed this task.
Paladox removed Paladox as the assignee of this task.